﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Tilemaps;

public class TerrainGeneration : MonoBehaviour
{
    [SerializeField] int height, width;

    [SerializeField] TilemapController tilemapController;

    // Start is called before the first frame update
    void Start()
    {
        Generation();
    }

    void Generation()
    {
        for (int x = 0; x < width; x++)
        {
            int minHeight = height - 1;
            int maxHeigt = height + 2;

            height = Random.Range(minHeight, maxHeigt);
            int minStoneSpawnDistance = height - 5;
            int maxStoneSpawnDistance = height - 6;
            int totalStoneSpawnDistance = Random.Range(minStoneSpawnDistance, maxStoneSpawnDistance);


            for (int y = 0; y < height; y++)
            {
                if(y < totalStoneSpawnDistance)
                {
                    tilemapController.spawnTile(x, y, TileType.STONE);
                }
                else
                    tilemapController.spawnTile(x, y, TileType.DIRT);
            }
            tilemapController.spawnTile(x, height, TileType.GRASS);
        }

    }
}
