using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GenerationController : MonoBehaviour
{

    [SerializeField] Generation GenerationType;
    [SerializeField] int maxHeight, minHeight, width;
    [SerializeField] TilemapController tilemapController;
    [SerializeField] int seed = 0;
    // Start is called before the first frame update
    void Start()
    {
        Generation(GenerationType.GetHeightValues(width, maxHeight, minHeight, seed));
    }

    // Update is called once per frame
    void Update()
    {
        if(Input.GetKeyDown(KeyCode.Space))
        {
            Debug.Log("Bam");
            tilemapController.Clear();
            Generation(GenerationType.GetHeightValues(width, maxHeight, minHeight, Mathf.RoundToInt(Time.time)));
        }
    }

    void Generation(int[] heightValues)
    {
        for (int x = 0; x < width; x++)
        {
            for (int y = 0; y < heightValues[x]; y++)
            {
                tilemapController.spawnTile(x, y, TileType.DIRT);
            }
            tilemapController.spawnTile(x, heightValues[x], TileType.GRASS);
        }
    }
}
