using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PerlinTest : MonoBehaviour
{
    [SerializeField] int height, width;

    [SerializeField] TilemapController tilemapController;

    [Range(0, 100)]
    [SerializeField] float heightValue, smoothness;

    // Start is called before the first frame update
    void Start()
    {
        Generation();
    }

    private void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space))
        {
            tilemapController.Clear();
            Generation();
        }
    }

    void Generation()
    {
        for (int x = 0; x < width; x++)
        {
            height = Mathf.RoundToInt(heightValue*Mathf.PerlinNoise(x/smoothness,x/smoothness));
            //int minHeight = height - 1;
            //int maxHeigt = height + 2;

            //height = Random.Range(minHeight, maxHeigt);
            for (int y = 0; y < height; y++)
            {
                tilemapController.spawnTile(x, y, TileType.DIRT);
            }
            tilemapController.spawnTile(x, height, TileType.GRASS);
        }
    }
}
