using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Tilemaps;

public class TilemapController : MonoBehaviour
{

    [Header("Tilemaps")]
    [SerializeField] Tilemap tilemap;

    [Header("Tiles")]
    [SerializeField] Tile grassTile;
    [SerializeField] Tile stoneTile;
    [SerializeField] Tile dirtTile;

    public void spawnTile(int x, int y, TileType tileType)
    {
        Tile tile;
        switch (tileType)
        {
            case TileType.DIRT:
                tile = dirtTile;
                break;
            case TileType.GRASS:
                tile = grassTile;
                break;
            case TileType.STONE:
                tile = stoneTile;
                break;
            default:
                throw new System.Exception("Unexpected case");
        }
        tilemap.SetTile(new Vector3Int(x, y, 0), tile);
    }

    internal void Clear()
    {
        tilemap.ClearAllTiles();
    }
}
